Create wallet top-up payment link
POST
Creates a KNET payment link to top up the wallet. The wallet is credited once the link is paid. Link expires in 24 hours.
apiKeyAuthheader
Authorization<token>Required on every request. Send apikey <your-api-key>, together with the x-seller-id header.
x-seller-id*stringYour seller id.
application/json- body
amount*numberTop-up amount in KWD (minimum 5, max 3 decimals)
Range
5 <= valuedescription?stringPayment link created successfully
application/json- response
paymentId?stringpaymentUrl?stringamount?numbercurrency?stringpaymentMethod?stringpaymentStatus?stringexpiresAt?stringFormat
date-timecurl -X POST "https://example.com/tasks/wallet-topup" \ -H "x-seller-id: YOUR_SELLER_ID" \ -H "Content-Type: application/json" \ -d '{ "amount": 50 }'{ "paymentId": "string", "paymentUrl": "https://pay.example.com/...", "amount": 50, "currency": "KWD", "paymentMethod": "KNET", "paymentStatus": "pending", "expiresAt": "2019-08-24T14:15:22Z"}